%define	name	gnomad2
%define	version	2.9.1
%define rel	1
%define	release	%mkrel %{rel}
%define	Summary	A Nomad Jukebox manager

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://gnomad2.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	libnjb-devel >= 2.2 
BuildRequires:	libgtk+2-devel
BuildRequires:	libid3tag-devel
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  libmtp-devel
BuildRequires:  taglib-devel
BuildRequires:	hal-devel
BuildRequires:	dbus-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_menudir}}
convert -size 16x16 %{name}-logo.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-logo.png
convert -size 32x32 %{name}-logo.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-logo.png
convert -size 48x48 %{name}-logo.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-logo.png

perl -pi -e 's,%{name}-logo.png,%{name}-logo,g' %{buildroot}%{_datadir}/applications/*

%find_lang %{name}
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="AudioVideo;Audio" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
	  
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_miconsdir}/%{name}-logo.png
%{_iconsdir}/%{name}-logo.png
%{_liconsdir}/%{name}-logo.png
%doc AUTHORS NEWS ChangeLog README TODO


%changelog
* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 2.9.1-1mdv2008.1
+ Revision: 161789
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 2.9.0-2mdv2008.1
+ Revision: 102622
- rebuild for new libmtp

* Thu Sep 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.9.0-1mdv2008.0
+ Revision: 81209
- New version
- buildrequires taglib-devel
- remove icon extension in desktop file (thanks to adamw)

* Sun Aug 05 2007 Funda Wang <fundawang@mandriva.org> 2.8.12-2mdv2008.0
+ Revision: 59035
- rebuild against latest libmtp

* Mon May 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.8.12-1mdv2008.0
+ Revision: 29008
- new release: 2.8.12


* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 2.8.10-1mdv2007.0
+ Revision: 112816
- New release 2.8.10

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-2mdv2007.1
+ Revision: 94379
- rebuild for new libmtp

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.9-1mdv2007.1
+ Revision: 90255
- New version 2.8.9
  build with libmtp
- Import gnomad2

* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 2.8.6-2mdv2007.0
- fix Debian menu
- fix buildrequires

* Wed Aug 23 2006 Emmanuel Andry <eandry@mandriva.org> 2.8.6-1mdv2007.0
- New release 2.8.6
- xdg menu

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 2.8.3-1mdk
- New release 2.8.3

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 2.8.2-3mdk
- fix buildrequires

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.8.2-2mdk
- Add BuildRequires: perl-XML-Parser

* Thu Dec 22 2005 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- fix buildrequires
- fix configure call
- New release 2.8.2

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.8.0-1mdk
- 2.8.0

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-2mdk
- no bz2 ending for man page

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-1mdk
- 2.7.1
- %%mkrel

* Thu Dec 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.0-1mdk
- 2.5.0

* Sun Jun 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.4-1mdk
- 2.4.4

